<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <script src="https://code.jquery.com/jquery-3.7.1.js" 
    integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=" 
    crossorigin="anonymous"></script> 
    <script src="js/mycode.js"></script>
    
</head>
<body>
    <table id="users" width="50%" border="1">
        <thead>
            <tr style="background-color:#A0A0A0">
                <th width="33%">First Name</th>
                <th width="33%">Last Name</th>
                <th width="33%">Age</th>
            </tr>
        </thead>
        <tbody>
        
    <script>
        // Define an array of users
        var Users = [
            { firstName: "John", lastName: "Lennon", age: 80 },
            { firstName: "Paul", lastName: "McCartney", age: 78 },
            { firstName: "George", lastName: "Harrison", age: 53 },
            { firstName: "Ringo", lastName: "Starr", age: 80 }
        ];

        // Display the users in the table
        function displayUsers() {
            var x = 0;
            for (var user of Users) {
                var rowstyle = x & 1 ? "#FFFFFF" : "#F0F0F0";
                var markup = "<tr>" +
                                  "<td>" + user.firstName + "</td>" +
                                  "<td>" + user.lastName + "</td>" +
                                  "<td>" + user.age + "</td>" +
                              "</tr>";
                $("#users").find("tbody").append(markup);
                $("#users").find("tbody").find("tr").last().attr("id", x);
                $("#users").find("tbody").find("tr").last().attr("align", "center");
                $("#users").find("tbody").find("tr").last().css("background-color", rowstyle);
                $("#users").find("tbody").find("tr").last().find("td").get(0).id = x + "0";
                $("#users").find("tbody").find("tr").last().find("td").get(1).id = x + "-1";
                $("#users").find("tbody").find("tr").last().find("td").get(2).id = x + "_2";
                ++x;
            }
            // Bind click event to the first row (John)
            $("#0_1").bind('click', clicked);
        }

        // Display the users when the document is ready
        $(document).ready(displayUsers);

        // Click event handler
        function clicked() {
            alert("Cell Clicked!");
        }
    </script>
</body>
</html>
